devel/hs-optparse-applicative - The NetBSD Packages Collection

Utilities and combinators for parsing command line options

optparse-applicative is a haskell library for parsing options on the
command line, providing a powerful applicative interface for composing
these options.

optparse-applicative takes care of reading and validating the
arguments passed to the command line, handling and reporting errors,
generating a usage line, a comprehensive help screen, and enabling
context-sensitive bash completions.

Build dependencies

pkgtools/cwrappers devel/pkgconf

Runtime dependencies

textproc/hs-ansi-wl-pprint devel/hs-transformers-compat lang/ghc90 textproc/hs-ansi-wl-pprint devel/hs-transformers-compat

Binary packages

OSArchitectureVersion
NetBSD 8.0x86_64hs-optparse-applicative-0.15.1.0.tgz
NetBSD 8.0x86_64hs-optparse-applicative-0.15.1.0.tgz
NetBSD 8.0x86_64hs-optparse-applicative-0.15.1.0.tgz
NetBSD 8.0x86_64hs-optparse-applicative-0.16.1.0nb1.tgz
NetBSD 9.0x86_64hs-optparse-applicative-0.15.1.0.tgz
NetBSD 9.0x86_64hs-optparse-applicative-0.15.1.0.tgz
NetBSD 9.0x86_64hs-optparse-applicative-0.16.1.0nb1.tgz
NetBSD 9.0x86_64hs-optparse-applicative-0.15.1.0.tgz
NetBSD 9.0x86_64hs-optparse-applicative-0.15.1.0.tgz
NetBSD 9.0x86_64hs-optparse-applicative-0.15.1.0.tgz
NetBSD 9.0x86_64hs-optparse-applicative-0.15.1.0.tgz
NetBSD 9.0x86_64hs-optparse-applicative-0.16.1.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.